[SOLVED] Błąd aktualizacji Spotify

Jesteś nowy na forum? Przeczytaj ...

Home Fora Forum wsparcia Oprogramowanie [SOLVED] Błąd aktualizacji Spotify

Ten wątek zawiera 5 odpowiedzi, ma 4 uczestników, ostatnio zmodyfikowany przez aquila aquila 4 dni, 6 h temu.

Oglądasz 6 posty - 1 do 6 (z 6 ogółem)
  • Autor
    Posty
  • #8675

    alaskan_malamute
    Forumowicz

    Chcę uaktualnić wersję spotify, ale pojawia mi się błąd:

    git clone https://aur.archlinux.org/spotify
    makepkg -sirc
    ==> Tworzenie pakietu: spotify 1.0.92.390-1 (wto, 4 gru 2018, 17:22:36)
    ==> Sprawdzanie zależności potrzebnych do uruchomienia...
    ==> Sprawdzanie zależności potrzebnych do budowy...
    ==> Pobieranie źródeł...
      -> Znaleziono spotify
      -> Znaleziono spotify.protocol
      -> Znaleziono LICENSE
      -> Pobieranie spotify-client_1.0.92.390.g2ce5ec7d-18_amd64.deb...
      % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                     Dload  Upload   Total   Spent    Left  Speed
      0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
    curl: (22) The requested URL returned error: 404 Not Found
    ==> BŁĄD: Błąd podczas pobierania http://repository.spotify.com/pool/non-free/s/spotify-client/spotify-client_1.0.92.390.g2ce5ec7d-18_amd64.deb
        Przerywam...

    Na tej stronie jest inny numer dla najnowszej wersji deb
    http://repository.spotify.com/pool/non-free/s/spotify-client/

    #8676
    Robert75
    Robert75
    Forumowicz

    Delete

    Anarchy Xfce - 64Bit Linux User #621110
    https://anarchy-linux.org/

    #8677

    alaskan_malamute
    Forumowicz

    A to bezpieczne repo? Czy to kwestia zaufania?

    Okazało się, że można ściągnąć deb, rozpakować i też działa, jak portable.

    #8682
    Robert75
    Robert75
    Forumowicz

    Delete

    Anarchy Xfce - 64Bit Linux User #621110
    https://anarchy-linux.org/

    #8684
    azja
    azja
    Moderator

    sądząc po stanie wątku, ominęła mnie jakaś interesująca wymiana poglądów. Podejrzewam, że @robert75 polecił @alaskan_malamute jakieś źródło oprogramowania, ale wycofał się z tego. Dla porządku, dopuszczalne – moim zdaniem – ‚repozytoria’ oprogramowania w Manjaro, to:
    # repozytoria Manjaro;
    # AUR – jeżeli wiesz, co robisz i używasz mózgu zgodnie z instrukcją obsługi;
    # Flatpak;
    # Snap;
    # AppImage;
    # Wine;
    # własne instalki tworzone zgodnie z zasadami (PKGBUILD) i używane zgodnie instrukcją obsługi mózgu;
    # inne kontenery, piaskownice i wirtualki – o ile system uwzględnia ich istnienie lub nie wchodzą mu w drogę.
    Nie wiem czym było, to co zostało Delete, ale jeżeli nie mieściło się na tej liście, to raczej nie udzieliłbym mu poparcia.

    @alaskan_malamute -> urok aplikacji z AUR bywa ulotny, bo zdarza się, że wersje poszczególnych pakietów w AUR (które jest tworzone dla Arch’a) i Manjaro rozjeżdżają się. Na chwilę lub dłużej.

    Jeżeli rozpakowany .deb działa w ‚trybie portable’, to zalecam utworzenie folderu, np.:
    ~/bin/ na potrzeby wszelkiej maści ‚prywatnego’ oprogramowania, które działa ‚obok’ systemu.

    W nim utwórz potrzebne podfoldery, np.:

    ~/bin/spotify/
    ~/bin/skrypty/
    ~/bin/co_tam_jeszcze_bedzie_w_przyszlosci_potrzebne/

    Rozpakowanego Spotify przenieś do:
    ~/bin/spotify/

    Utwórz .desktop (uruchamiający program) w:
    ~/.local/share/applications/

    Program będzie dostępny z szybkiego uruchamiania, na panelu lub w menu – jeżeli tam go dodasz.

    Spotify dostępne jest również jako:
    # Flatpak
    com.spotify.Client 1.0.92.390 stable flathub Online music streaming service
    # Snap
    spotify 1.0.94.262.g3d5c231c-9 spotify✓ - Music for everyone

    Nie zadawaj pytania, jeżeli nie jesteś gotów usłyszeć odpowiedzi

    #8695
    aquila
    aquila
    Moderator

    Niedziwne, że wyskakuje błąd skoro w PKGBUILD jest wersja 1.0.92 a na serwerze 1.0.94.
    Musisz edytować PKGBUILD i wtych liniach zmienić na:

    pkgver=1.0.94.262
    _anotherpkgver=.g3d5c231c
    _amd64_pkgrel=9
    sha256sums_x86_64=('92803d614da2fd4802f801d85da9cf786f34216bbfa6085d5791c3e8350b4f44')
Oglądasz 6 posty - 1 do 6 (z 6 ogółem)

Musisz być zalogowany aby odpowiedzieć w tym wątku.